[DATABASE]
## postgresql configuration [db to keep the state of the config manager]
postgres_username="postgres"
postgres_password="nextworks"
postgres_hostname="postgres"
##FOR TESTING
#postgres_hostname="localhost"


[PATHS]
## these are the ones to test the config-manager inside the container [should reflect
# the volume mapped inside the docker-compose.yml file]
telegraf_owm_conf_path="/etc/monitoring_platform_configuration/telegraf_owm/telegraf.conf"
telegraf_nwdaf_conf_path="/etc/monitoring_platform_configuration/telegraf_nwdaf/telegraf.conf"
telegraf_starfish_conf_path="/etc/monitoring_platform_configuration/telegraf_starfish/telegraf.conf"
telegraf_ransim_conf_path="/etc/monitoring_platform_configuration/telegraf_ransim/telegraf.conf"
logfile_path="/var/log/configmanager.log"

[APP]
# openweather map default configuration
owm_app_id="9044c22ec429e182742d1abaa1d7f932" # l.lossi@nextworks.it registration on OpenWeatherMap

## starfish default configuration
starfish_default_interval="10s"
starfish_default_api_root="http://10.5.6.128:8000"
starfish_api_username="monitoring"
starfish_api_password="ANChOR789"
#starfish_api_username="orchestrator"
#starfish_api_password="ANChOR123"

## nwdaf default configuration
nwdaf_default_interval="10s"
nwdaf_default_api_root="http://nwdaf_stub:5001"
## FOR TESTING
#nwdaf_default_api_root="localhost"


# see if there is the need also to store other parameters of the telegraf.conf configuration
# especially the ones related to timing (e.g. interval, response_timeout, flush iinterval and so on)